<?php
require 'acesso.php';
$res = array();
try {
    try {
        global $res;
        $res['passo'] = 1;
        $con = new PDO("mysql:dbname=$database; charset=u9tf8", $usuario, $senha);
        
    } catch (PDOException $p) {
        global $res;
        $res['pdo'] = $p->getCode() . " - " . $p->getMessage();
    }
    if (isset($_POST['novo'])) {
        $arcgcfirma = $_POST['arcgcfirma'];
        $arfirma = $_POST['arfirma'];
        $sr_deleted = $_POST['sr_deleted'];
        $ret = $con->prepare("INSERT INTO afirma (arfirma, arcgcfirma, sr_deleted) VALUES ('$arfirma', '$arcgcfirma', '$sr_deleted')");
        $ret->execute();
        $mensagem = $ret->errorInfo();
        if ($mensagem[0] == "00000") {
            // CarregarFirma($arcgcfirma);
            $res['sucesso'] = 1;
        } else {
            $res['sucesso'] = 0;
            $res['mensagem'] = $mensagem[2];
        }
    } else {
        $ret = $con->prepare("select * from afirma");
        $ret->execute();
        $mensagem = $ret->errorInfo();
        if ($mensagem[0] = "00000") {
            if ($ret->rowCount() > 0) {
                $res["firma"] = array();
                while ($row = $ret->fetch(PDO::FETCH_OBJ)) {
                    array_push($res["firma"], $row);
                }
            }
            $res["sucesso"] = 1;
        } else {
            $res['sucesso'] = 0;
            $res['mensagem'] = $mensagem[2];
        }
    }
} catch (Exception $e) {
    $res['sucesso'] = 0;
    $res['except'] = $e->getCode() . " - " . $e->getMessage();
}
echo json_encode($res);
?>